Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1354371 - borgbackup 1.0.6 is available
Summary: borgbackup 1.0.6 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: borgbackup
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Benjamin Pereto
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-11 07:49 UTC by Felix Schwarz
Modified: 2016-08-21 07:29 UTC (History)
1 user (show)

Fixed In Version: borgbackup-1.0.6-1.fc24 borgbackup-1.0.6-1.fc23 borgbackup-1.0.6-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-22 18:23:21 UTC


Attachments (Terms of Use)
spec patch to upgrade to 1.0.6 (deleted)
2016-07-13 10:45 UTC, Felix Schwarz
no flags Details | Diff

Description Felix Schwarz 2016-07-11 07:49:39 UTC
borg 1.0.5 is available: https://github.com/borgbackup/borg/releases/tag/1.0.5

upstream explicitely mentions "This is a critical bugfix release - upgrading to it is strongly recommended!". Versions prior to 1.0.4 were susceptible to repo corruption in case of disk failures or network hickups. 

From what I read in the changelog there were no incompatible changes so no administrative intervention is necessary after upgrading. Hence I think this update should also be pushed to stable releases (including EPEL).

Comment 1 Felix Schwarz 2016-07-11 07:50:59 UTC
btw: I just saw that 1.0.6 is due tomorrow so maybe it makes sense to package that directly.

Comment 2 Felix Schwarz 2016-07-13 10:39:22 UTC
borgbackup 1.0.6 was released as planned: https://pypi.python.org/pypi/borgbackup/1.0.6

Comment 3 Felix Schwarz 2016-07-13 10:45:13 UTC
Created attachment 1179216 [details]
spec patch to upgrade to 1.0.6

I tweaked the spec file for the 1.0.6 upgrade. Besides the actual version bump I changed:

stable pythonhosted source url
 - https://bitbucket.org/pypa/pypi/issues/438/#comment-27734791
 - https://lists.fedoraproject.org/archives/list/python-devel@lists.fedoraproject.org/thread/BA4EGMVMHQJEZFEBDT2MZXXTS5MZVQT2/

dropped XFS patch (included in 1.0.4)
 - https://github.com/borgbackup/borg/commit/9be32e97b120d889e41fddb7258fa2928118b01d

changed test exclusions from "test_fuse_mount" to "test_fuse"
 - looks like the previous test was renamed, at least I don't find a reference to test_fuse_mount anymore (though I did not check the git log for a better understanding)
 - however the number of executed tests grew so I guess we are fine, borgbackup-1.0.3-2.fc24 passed 417 tests, with 1.0.6 I see 445 passing tests (https://kojipkgs.fedoraproject.org//packages/borgbackup/1.0.3/2.fc24/data/logs/x86_64/build.log)

Should I apply for co-maintainership to commit updates like these?

Comment 4 Benjamin Pereto 2016-07-13 12:40:44 UTC
Hi,

Yes saw it today.

Thx for the preparations, I will push out the update.

Sure you can apply to co-maintainership if you like. Are you already in the packagers group?

Comment 5 Fedora Update System 2016-07-13 15:12:13 UTC
borgbackup-1.0.6-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-76c184ea7a

Comment 6 Fedora Update System 2016-07-13 15:12:40 UTC
borgbackup-1.0.6-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-791d4f1fd5

Comment 7 Fedora Update System 2016-07-13 15:13:22 UTC
borgbackup-1.0.6-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-46d99c6930

Comment 8 Fedora Update System 2016-07-14 15:53:20 UTC
borgbackup-1.0.6-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-791d4f1fd5

Comment 9 Fedora Update System 2016-07-14 22:28:29 UTC
borgbackup-1.0.6-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-76c184ea7a

Comment 10 Fedora Update System 2016-07-15 07:47:12 UTC
borgbackup-1.0.6-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-46d99c6930

Comment 11 Fedora Update System 2016-07-22 18:23:16 UTC
borgbackup-1.0.6-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2016-07-23 00:19:08 UTC
borgbackup-1.0.6-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2016-08-01 16:21:24 UTC
borgbackup-1.0.6-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2016-08-21 07:29:21 UTC
borgbackup-1.0.7-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-f0e09b5124


Note You need to log in before you can comment on or make changes to this bug.